#
# spec file for package terminology
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           terminology
Version:	0.2.0
Release:        2.3
License:        BSD-2-Clause
Summary:        EFL based terminal emulator
Url:            http://enlightenment.org
Group:          System/X11/Terminals
Source:         %{name}-%{version}.tar.bz2
BuildRequires:  ecore-devel
BuildRequires:  edje-devel
BuildRequires:  eet-devel
BuildRequires:  efreet-devel
BuildRequires:  eina-devel
BuildRequires:  elementary-devel >= 1.6.99
BuildRequires:  evas-devel
%if 0%{?suse_version}
BuildRequires:  fdupes
BuildRequires:	update-desktop-files
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       elementary >= 1.7.0

%description
Fast and lightweight terminal emulator using EFL libraries.

%prep
%setup -q

%build
%configure --disable-silent-rules --disable-static
make %{?_smp_mflags}

%install
%makeinstall
sed -i 's/.png[[:blank:]]*$//' %{buildroot}%{_datadir}/applications/terminology.desktop
%if 0%{?suse_version}
%suse_update_desktop_file terminology TerminalEmulator
%fdupes %{buildroot}/%{_datadir}
%endif
mv %{buildroot}%{_datadir}/icons %{buildroot}%{_datadir}/pixmaps

%clean
%{?buildroot:rm -rf %{buildroot}}


%files
%defattr(-,root,root)
%doc README COPYING
%{_bindir}/terminology
%{_datadir}/applications/terminology.desktop
%{_datadir}/pixmaps/terminology.png
%{_datadir}/terminology

%changelog
* Sat Dec 22 2012       Andrew Wyatt <andrew@fuduntu.org> - Version:0.2.0-2.3
- Built for Fuduntu

* Sat Dec 15 2012 sleep_walker@suse.cz
- fix license
- remove duplicates for SUSEs
- remove patch which reached upstream (mandriva-mkstemps.patch)
- fix URL
- update to 0.2.0 containing a lot of fixes
* Sun Dec  2 2012 sleep_walker@suse.cz
- mandriva-mkstemps.patch:
  use mkstemps only if available
* Mon Nov  5 2012 sleep_walker@suse.cz
- add desktop handling code
- disable silent rules
- spec cleanup
* Sun Sep  9 2012 sleep_walker@suse.cz
- source_grabber autoupdate to revision 8cf8c970eddba0a11e230e1f05d5a1fb92723bdd
* Thu Sep  6 2012 sleep_walker@suse.cz
- source_grabber autoupdate to revision 410956f446b98a7ffaf9c6b982c55f670bb93b91
* Fri Aug 10 2012 sleep_walker@suse.cz
- source_grabber autoupdate to revision 9518829613cb6c54489dec7dda524ea01bc23174
* Wed Aug  1 2012 sleep_walker@suse.cz
- source_grabber autoupdate to revision c88c962c71caae8a8b2fe8773468626371d50a7f
* Fri Jul 20 2012 sleep_walker@suse.cz
- source_grabber autoupdate to revision 73e403541d5d298936e0696339b732c3751804c3
* Thu Jul 19 2012 sleep_walker@suse.cz
- source_grabber autoupdate to revision a5f305ca8f0ddf951c2849688a47b040a7cbc262
* Sun Jul 15 2012 sleep_walker@suse.cz
- source_grabber autoupdate to revision 8fb0769b577f64a1c0d38730a68f8c25ad8742c4
* Fri Jul 13 2012 sleep_walker@suse.cz
- source_grabber autoupdate to revision bc927360c82893d0decd4ef87d09c80e244075d1
* Fri Jul 13 2012 sleep_walker@suse.cz
- source_grabber autoupdate to revision 253af8f5e1b3c9b2764d5cf6cfd5234f2bd44024
* Thu Jul 12 2012 sleep_walker@suse.cz
- source_grabber autoupdate to revision d083e42118bf82e78e6d578ebc0415af5b6b2f20
* Sat Jul  7 2012 sleep_walker@suse.cz
- source_grabber autoupdate to revision fe17f6d1f3c6e7c33fdda12b60a47721e0a07195
* Fri Jul  6 2012 sleep_walker@suse.cz
- source_grabber autoupdate to revision 5cc7361ab13ff6360e33e50dd7efa17c4012d54c
* Thu Jul  5 2012 sleep_walker@suse.cz
- source_grabber autoupdate to revision 8671ce0c7feac6d7b7ebb91ba6c7ffe96c696609
* Mon Jul  2 2012 sleep_walker@suse.cz
- source_grabber autoupdate to revision 16a9d63da5e5121b6b2cd79c8a4340bba9016270
* Thu Jun 28 2012 sleep_walker@suse.cz
- source_grabber autoupdate to revision 082cc31c7a7c43cea04e44785ba70cf12ea0f16d
* Wed Jun 27 2012 sleep_walker@suse.cz
- source_grabber autoupdate to revision 5cf5d6231b17d1c402dd69229f9c4879bef9cf79
* Mon Jun 25 2012 sleep_walker@suse.cz
- source_grabber autoupdate to revision cd3b85f4699fb2e3279531cea4309cb174fb34f3
* Sun Jun 24 2012 sleep_walker@suse.cz
- source_grabber autoupdate to revision 7c922037e0060893778258546ad03f13c6f1570a
* Sat Jun 23 2012 sleep_walker@suse.cz
- source_grabber autoupdate to revision 0e762d38c393c004127adab1d7e85d16a337190f
* Sat Jun 23 2012 sleep_walker@suse.cz
- source_grabber autoupdate to revision f8a7c8672b930ae383be6a28974d4d5567bf309f
* Thu Jun 21 2012 sleep_walker@suse.cz
- source_grabber autoupdate to revision 91dd239a0d17c7960a9b89120921a60fa272d254
* Tue Jun 19 2012 sleep_walker@suse.cz
- source_grabber autoupdate to revision 133b7ef2b43fd7ef32800d81297f6ed72d59ba72
* Mon Jun 18 2012 sleep_walker@suse.cz
- source_grabber autoupdate to revision aa112ecd22bf4319fcb5f098addfd632de5d3daa
* Mon Jun 18 2012 sleep_walker@suse.cz
- source_grabber autoupdate to revision 588aa7d5c34a51cab8007d8909ac3df1e8971f5c
* Mon Jun 18 2012 sleep_walker@suse.cz
- source_grabber autoupdate to revision 244739b0cd0b88c5bf879f4dc06c4b94db2895b7
* Sat Jun 16 2012 sleep_walker@suse.cz
- fix git URL for auto updates
* Fri Jun 15 2012 sleep_walker@suse.cz
- let the terminology build against openSUSE_12.1
* Fri Jun 15 2012 sleep_walker@suse.cz
- let there be terminology
